summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Markus Hutmacher <mailing@markhu.de>2015-05-06 18:41:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-06 22:14:58 +0700
commit855bf1e78cd9b45386ab9325d491337aecbd0514 (patch)
tree3f9f6fddbce6304a86de71a91e85562fcf1b808e /desktop
parent45c69ef9d7bd7e40bd761d965107bced71abb8c0 (diff)
downloadslackbuilds-855bf1e78cd9b45386ab9325d491337aecbd0514.tar.gz
slackbuilds-855bf1e78cd9b45386ab9325d491337aecbd0514.tar.xz
desktop/disper: Added (switch utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/disper/README12
-rw-r--r--desktop/disper/disper.SlackBuild94
-rw-r--r--desktop/disper/disper.info10
-rw-r--r--desktop/disper/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/desktop/disper/README b/desktop/disper/README
new file mode 100644
index 0000000000..66a3be0bf2
--- /dev/null
+++ b/desktop/disper/README
@@ -0,0 +1,12 @@
+Disper is an on-the-fly display switch utility.
+It is intended to be used just before giving a presentation
+with a laptop, when all one wants is that the beamer, which
+has just been connected, is able to show whatever you prepared.
+
+Disper gives you the option to either clone all detected displays,
+or extend the desktop to them. Resolutions are automatically
+detected. For cloning, the highest common resolution supported by
+all displays is chosen; for extending every display device gets
+its highest supported resolution. For special setups requiring
+more detailed control, one can still use the standard display
+configuration utilites.
diff --git a/desktop/disper/disper.SlackBuild b/desktop/disper/disper.SlackBuild
new file mode 100644
index 0000000000..de79b442dd
--- /dev/null
+++ b/desktop/disper/disper.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for disper
+
+# Copyright 2015 Markus Hutmacher Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=disper
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+mv $PRGNAM ${PRGNAM}-${VERSION}
+cd ${TMP}/$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# We need to change PREFIX from /usr/local to /usr
+sed -i 's&usr/local&usr&' Makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/disper/disper.info b/desktop/disper/disper.info
new file mode 100644
index 0000000000..b34f7bc43f
--- /dev/null
+++ b/desktop/disper/disper.info
@@ -0,0 +1,10 @@
+PRGNAM="disper"
+VERSION="0.3.1"
+HOMEPAGE="http://willem.engen.nl/projects/disper/"
+DOWNLOAD="http://ppa.launchpad.net/disper-dev/ppa/ubuntu/pool/main/d/disper/disper_0.3.1.tar.gz"
+MD5SUM="4474f6c98078cfab24f49db744eb1e80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Markus Hutmacher"
+EMAIL="mailing@markhu.de"
diff --git a/desktop/disper/slack-desc b/desktop/disper/slack-desc
new file mode 100644
index 0000000000..9d32865602
--- /dev/null
+++ b/desktop/disper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+disper: disper (switch utility)
+disper:
+disper: Disper is an on-the-fly display switch utility.
+disper:
+disper: It is useful with multiple displays when using a tyling WindowManager
+disper:
+disper: It is also useful when switching between Laptop and Beamer
+disper:
+disper:
+disper:
+disper: